%define contentdir /var/www
%define their_version 1.2.0-Beta2

Summary: Squid report generator per user/ip/name
Name: sarg
Version: 1.2.0
Release: 0.Beta2.1mdk
URL: http://web.onda.com.br/orso/
Source: http://web.onda.com.br/orso/sarg-%{their_version}.tar.bz2
Source1: sarg.daily
Source2: sarg.weekly
Source3: sarg.monthly
Source4: sarg.cron 
Source5: sarg.conf.rpm
License: GPL
Group: Monitoring
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: squid, bash

%description
Sarg (was Sqmgrlog) generate reports per user/ip/name from SQUID log file.
The reports will be generated in HTML or email.

%prep
%setup -n %{name}-%{their_version}

%build
./configure --enable-bindir=%{_sbindir} --enable-sysconfdir=%{_sysconfdir}/%{name} 
make

%install
mkdir -p $RPM_BUILD_ROOT/{usr/sbin,etc/sarg,var}
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/squid/{daily,weekly,monthly}
make BINDIR=$RPM_BUILD_ROOT%{_sbindir} SYSCONFDIR=$RPM_BUILD_ROOT%{_sysconfdir}/sarg install
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 0770 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.daily/%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.weekly
install -m 0770 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.weekly/%{name}
mkdir -p $RPM_BUILD_ROOT/etc/cron.monthly
install -m 0770 %{SOURCE1} $RPM_BUILD_ROOT/etc/cron.monthly/%{name}
#install -m 0660 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/sarg
install -m 0660 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sarg
cp sarg.conf $RPM_BUILD_ROOT%{_sysconfdir}/sarg/sarg.conf.default
mv $RPM_BUILD_ROOT%{_sysconfdir}/sarg/sarg.conf.rpm $RPM_BUILD_ROOT/%{_sysconfdir}/sarg/sarg.conf
strip -s $RPM_BUILD_ROOT/%{_sbindir}/%{name}

%files
%defattr(-,root,squid)
%doc README CONTRIBUTORS DONATIONS ChangeLog COPYING
%attr(0770,root,squid) %{_sbindir}/%{name}*
%attr(0660,root,squid) %config(noreplace) %{_sysconfdir}/sarg/sarg.conf
%attr(2775,root,squid) %dir %{contentdir}/html/squid
%attr(2775,root,squid) %dir %{contentdir}/html/squid/daily
%attr(2775,root,squid) %dir %{contentdir}/html/squid/weekly
%attr(2775,root,squid) %dir %{contentdir}/html/squid/monthly
%attr(2770,root,squid) %dir %{_sysconfdir}/sarg
%attr(2770,root,squid) %dir %{_sysconfdir}/sarg/languages
%attr(0660,root,squid) %{_sysconfdir}/cron.*/*
%attr(0660,root,squid) %{_sysconfdir}/sarg/sarg.conf.default
#%attr(0660,root,squid) %{_sysconfdir}/sarg/sarg.cron
%attr(0660,root,squid) %{_sysconfdir}/sarg/exclude_codes
%attr(0660,root,squid) %{_sysconfdir}/sarg/languages/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 16 2001 Florin <florin@mandrakesoft.com> 1.2.0-0.Beta2.1mdk
- first Mandrake release

* Tue Apr 04 2001 Sergei Dushankov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1 (released with Latvian language support)

* Fri Mar 29 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1.1
- bin location changed to %{_sbindir}
- sample crontab is located now in %{_sysconfdir}/sarg/sarg.cron

* Fri Mar 24 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Updated to Sarg 1.1
- corrections made to sarg.monthly script, now it works properly
- all scripts are now put as additional to main source, so that original
  distribution can be leaved intacted.

* Wed Mar 14 2001 Alexander Kreschenko <akr@torba.com>
- Packaging of sarg 1.0, eliminating local/sbin dir
- some chandes in sarg.conf (please revise)
- some cosmetix changes in the package
- default laguage Russian-koi8
- many fixes in rpm

* Tue Mar 06 2001 Sergei Dushenkov <dusha@dnttm.ru>
- Icluded sqmgrlog.* scripts, squid.counter and sample crontab

* Mon Mar 05 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0.1

* Sun Mar 04 2001 Sergei Dushenkov <dusha@dnttm.ru>
- upgrading to 3.0
- including three patches (totday, nbsp, topsites)

* Thu Nov 09 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.12
- dropping compat builds
- adding contentdir macro and %contentdir to %files

* Tue Jul 11 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.11

* Sat Jun 10 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.10

* Wed Mar 15 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.9
 
* Sat Feb 26 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.8

* Tue Feb 22 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- rebuild from 2.9.7 "fresh sources"

* Thu Feb 17 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.7

* Tue Feb  1 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- changing spec allowing "compat" builds on RH6.x

* Fri Jan 21 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.6

* Thu Jan 13 2000 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.5
- added striping of binary

* Tue Nov 30 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- upgrading to 2.9.4
- changing defaults to RedHat's

* Thu Nov 25 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- added userip patch for -p support on .conf (user_ip tag)
- added requires: squid
- added ip2name patch for fixing bug on -p and user report

* Tue Nov 23 1999 Carlo Marcelo Arenas Belon <carenas@chasqui.lared.net.pe>
- initial SPEC
